Summary:	OpenCA Logging
Name: 		perl-OpenCA-Log
Version: 	0.9.13.2.1
Release:	%mkrel 3
License:	LGPL
Group: 		Development/Perl
URL:		http://www.openca.org
Source:		OpenCA-Log-%{version}.tar.gz
#Requires:	perl-OpenCA-XML-Cache
BuildRequires:	perl-devel
BuildArch:	noarch
Epoch:		0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module handle the complete logging of OpenCA.

This product includes OpenCA software written by Massimiliano Pala
(madwolf@openca.org) and the OpenCA Group (www.openca.org)

%prep

%setup -q -n OpenCA-Log-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
rm -rf %{buildroot}

%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README
%dir %{perl_vendorlib}/OpenCA/Log
%dir %{perl_vendorlib}/OpenCA/Logger
%dir %{perl_vendorlib}/OpenCA/Logger/Syslog
%{perl_vendorlib}/OpenCA/*.pm
%{perl_vendorlib}/OpenCA/*.pod
%{perl_vendorlib}/OpenCA/Log/Message.pm
%{perl_vendorlib}/OpenCA/Logger/*.pm
%{perl_vendorlib}/OpenCA/Logger/Syslog/*.pm
%{_mandir}/*/*


%changelog
* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 0:0.9.13.2.1-3mdv2009.0
+ Revision: 234515
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0:0.9.13.2.1-2mdv2008.1
+ Revision: 136330
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0:0.9.13.2.1-2mdv2008.0
+ Revision: 64764
- sync the tarballs from latest openca package


* Fri Mar 02 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.13.2.1-1mdv2007.0
+ Revision: 131129
- Import perl-OpenCA-Log

* Fri Feb 17 2006 Oden Eriksson <oeriksson@mandriva.com> 0:0.9.13.2.1-1mdk
- 0.9.13.2.1 (taken from the OpenCA-0.9.2.5 tar ball)
- don't ship the MANIFEST file

* Sat Sep 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.14-2mdk
- rebuild

* Sun Oct 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.14-1mdk
- 0.9.14

* Thu Sep 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.13-1mdk
- 0.9.13

* Fri Aug 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.12-2mdk
- new tarball, same version

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.12-1mdk
- 0.9.12

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.11-2mdk
- built for cooker

* Fri Jun 18 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.11-1mdk
- 0.9.11

* Sun May 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.10-2mdk
- CVS fixes (new tarball)

* Tue May 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.10-1mdk
- 0.9.10

* Thu Apr 22 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.8-1mdk
- initial package

